set itemToFind to "%@" as text

--tell application "System Events" to set allProcesses to name of application processes whose frontmost is true

tell application "System Events"
	tell application process "%@" --the (first item of allProcesses)
		set allMenubarItems to menu bar item of the first menu bar
		set allMenubarItems to the rest of allMenubarItems
		
		-- try to find in the first depth level
		repeat with eachMenubarItem in allMenubarItems
			local foundItems
			set mySubmenu to the first menu in eachMenubarItem
			
			try
				set foundItems to (every menu item in mySubmenu whose title is equal to itemToFind)
				
				if length of foundItems is not equal to 0 then
					return first item of foundItems
				end if
			end try
		end repeat
		
		--		return
		
		set submenuItems to {}
		set submenuItemsRef to a reference to submenuItems
		
		-- can't find the item, try submenus
		repeat with eachMenubarItem in allMenubarItems
			set mySubmenu to the first menu in eachMenubarItem
			set temporaryList to (first menu of every menu item in mySubmenu)
			repeat with myItem in temporaryList
				copy myItem to the end of submenuItemsRef
			end repeat
		end repeat
		
		repeat with eachSubitem in submenuItemsRef
			local foundItems
			
			try
				set foundItems to (every menu item in eachSubitem whose title is equal to itemToFind)
				
				if length of foundItems is not equal to 0 then
					return first item of foundItems
				end if
				
			end try
			
		end repeat
		
		
	end tell
end tell

